VRSpace.org - Support #150

Not good default configuration. - Benjamin
08/28/2022 02:05 AM - Benjamin LIPERE

Status: Closed Start date: 08/28/2022
Priority: Immediate Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Hello.

Here my server.
http:/sleekdbzjc2mmik-vrmeta-10335-01.bowyhodb87icqv29jzpy.ovh:8080/babylon/avatar-selection.html

When | run the client button for VR, | have the creepy double screen and not my oculus running.
But on the VRspace demo it is running just fine.
| am using Metachromium as navigator.

| am continuing my search from my side.
| you have any idea, please get back to me.

Thanks by advance.
Best Regards.
Benjamin.

History

#1 - 08/28/2022 03:47 AM - Benjamin LIPERE
Okay SSL resolve a part of the problem.

#2 - 08/28/2022 04:52 AM - Benjamin LIPERE
https://sleekdbzjc2mmik-vrspc1-30530-01.npiracncn3vghcvv9gys.ovh/babylon/avatar-selection.html

Nouvelle URL.

Et j'ai cette erreur :

Exception in thread "https-jsse-nio-443-exec-4" java.lang.ClassCastException: class org.apache.coyote.http2.RecycledStream cannot be cast to class
org.apache.coyote.http2.Stream (org.apache.coyote.http2.RecycledStream and org.apache.coyote.http2.Stream are in unnamed module of loader
org.springframework.boot.loader.LaunchedURLClassLoader @619a5dff)

at org.apache.coyote.http2.Http2UpgradeHandler.incrementWindowSize(Http2UpgradeHandler.java:985)

at org.apache.coyote.http2.Http2UpgradeHandler.incrementWindowSize(Http2UpgradeHandler.java:1820)

at org.apache.coyote.http2.Http2AsyncUpgradeHandler.incrementWindowSize(Http2AsyncUpgradeHandler.java:41)

at org.apache.coyote.http2.Http2Parser.readWindowUpdateFrame(Http2Parser.java:420)

at org.apache.coyote.http2.Http2AsyncParser$FrameCompletionHandler.completed(Http2AsyncParser.java:272)

at org.apache.coyote.http2.Http2AsyncParser$FrameCompletionHandler.completed(Http2AsyncParser.java:164)

at org.apache.tomcat.util.net.SocketWrapperBase$VectoredlOCompletionHandler.completed(SocketWrapperBase.java:1113)

at org.apache.tomcat.util.net.NioEndpoint$NioSocketWrapper$NioOperationState.run(NioEndpoint.java:1634)

at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)

at org.apache.tomcat.util.threads. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)

at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

at java.base/java.lang.Thread.run(Thread.java:829)

2022-08-28 02:46:27.676 ERROR 4760 --- [nio-443-exec-11] 0.a.c.c.C.[.[localhost].[/].[default] : Servlet.service() for servlet [default] in context with
path [] threw exception

java.lang.lllegalStateException: Connection [1], Stream [201], Already waiting

at org.apache.coyote.http2.WindowAllocationManager.waitFor(WindowAllocationManager.java:144) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.WindowAllocationManager.waitForConnection(WindowAllocationManager.java:85) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.coyote.http2.Stream.waitForConnectionAllocation(Stream.java:260) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Http2UpgradeHandler.reserveWindowSize(Http2UpgradeHandler.java:911) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Stream$StreamOutputBuffer.flush(Stream.java:930) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Stream$StreamOutputBuffer.doWrite(Stream.java:849) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Http20OutputBuffer.doWrite(Http20OutputBuffer.java:59) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.Response.doWrite(Response.java:615) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:340) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.catalina.connector.OutputBuffer.flushByteBuffer(OutputBuffer.java:783) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.append(OutputBuffer.java:688) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.writeBytes(OutputBuffer.java:388) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.write(OutputBuffer.java:366) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.CoyoteOutputStream.write(CoyoteOutputStream.java:96) ~[tomcat-embed-core-9.0.54.jar!/:na]

at

org.springframework.security.web.util. OnCommittedResponseWrapper$SaveContextServlietOutputStream.write(OnCommittedResponseWrapper.java
:638) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at

org.springframework.security.web.util. OnCommittedResponseWrapper$SaveContextServlietOutputStream.write(OnCommittedResponseWrapper.java
:638) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.apache.catalina.servlets.DefaultServlet.copyRange(DefaultServlet.java:2617) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.servlets.DefaultServlet.copy(DefaultServlet.java:2464) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.servlets.DefaultServlet.serveResource(DefaultServlet.java:1169) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.servlets.DefaultServlet.doGet(DefaultServlet.java:519) ~[tomcat-embed-core-9.0.54.jar!/:na]

at javax.servlet.http.HttpServlet.service(HttpServlet.java:655) ~[tomcat-embed-core-9.0.54.jar!/:4.0.1]

at org.apache.catalina.servlets.DefaultServlet.service(DefaultServlet.java:499) ~[tomcat-embed-core-9.0.54.jar!/:na]

at javax.servlet.http.HttpServlet.service(HttpServlet.java:764) ~[tomcat-embed-core-9.0.54.jar!/:4.0.1]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53) ~[tomcat-embed-websocket-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.access.intercept.FilterSecuritylnterceptor.invoke(FilterSecurityInterceptor.java:115)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java: 105)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java: 149)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.web.authentication.ui.DefaultLogoutPageGeneratingFilter.doFilterInternal(DefaultLogoutPageGeneratingFilter.java:58)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.ui.DefaultLoginPageGeneratingFilter.doFilter(DefauliLoginPageGeneratingFilter.java:237)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.authentication.ui.DefaultLoginPageGeneratingFilter.doFilter(DefaultLoginPageGeneratingFilter.java:223)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFilter(AbstractAuthenticationProcessingFilter.java:218)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFilter(AbstractAuthenticationProcessingFilter.java:212)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.oauth2.client.web.OAuth2AuthorizationRequestRedirectFilter.doFilterInternal(OAuth2AuthorizationRequestRedirectFilter
.java:178) ~[spring-security-oauth2-client-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerintegrationFilter.java:
55) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.boot.actuate.metrics.web.servlet. WebMvcMetricsFilter.doFilterinternal(WebMvcMetricsFilter.java:96)
~[spring-boot-actuator-2.5.6.jar!/:2.5.6]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.web.filter.CharacterEncodingFilter.doFilterinternal(CharacterEncodingFilter.java:201) ~[spring-web-5.3.12.jar!/:5.3.12]
at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.valves.RemotelpValve.invoke(RemotelpValve.java:769) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.StreamProcessor.service(StreamProcessor.java:413) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.StreamProcessor.process(StreamProcessor.java:74) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.StreamRunnable.run(StreamRunnable.java:35) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.tomcat.util.threads. ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.tomcat.util.threads. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) ~[tomcat-embed-core-9.0.54.jar!/:na]

at java.base/java.lang.Thread.run(Thread.java:829) ~[na:na]

2022-08-28 02:46:27.676 ERROR 4760 --- [-nio-443-exec-2] o.a.c.c.C.[.[localhost].[/].[default] : Servlet.service() for servlet [default] in context with
path [] threw exception

java.lang.lllegalStateException: Connection [1], Stream [167], Already waiting

at org.apache.coyote.http2.WindowAllocationManager.waitFor(WindowAllocationManager.java:144) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.WindowAllocationManager.waitForConnection(WindowAllocationManager.java:85) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.coyote.http2.Stream.waitForConnectionAllocation(Stream.java:260) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Http2UpgradeHandler.reserveWindowSize(Http2UpgradeHandler.java:911) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Stream$StreamOutputBuffer.flush(Stream.java:930) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Stream$StreamOutputBuffer.doWrite(Stream.java:849) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.Http20OutputBuffer.doWrite(Http20OutputBuffer.java:59) ~[tomcat-embed-core-9.0.54 . jar!/:na]

at org.apache.coyote.Response.doWrite(Response.java:615) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:340) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.flushByteBuffer(OutputBuffer.java:783) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.append(OutputBuffer.java:688) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.writeBytes(OutputBuffer.java:388) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.OutputBuffer.write(OutputBuffer.java:366) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.CoyoteOutputStream.write(CoyoteOutputStream.java:96) ~[tomcat-embed-core-9.0.54.jar!/:na]

at

org.springframework.security.web.util. OnCommittedResponseWrapper$SaveContextServlietOutputStream.write(OnCommittedResponseWrapper.java
:638) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at

org.springframework.security.web.util. OnCommittedResponseWrapper$SaveContextServlietOutputStream.write(OnCommittedResponseWrapper.java
:638) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.apache.catalina.servlets.DefaultServlet.copyRange(DefaultServlet.java:2617) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.servlets.DefaultServlet.copy(DefaultServlet.java:2464) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.servlets.DefaultServlet.serveResource(DefaultServlet.java:1169) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.servlets.DefaultServlet.doGet(DefaultServlet.java:519) ~[tomcat-embed-core-9.0.54.jar!/:na]

at javax.servlet.http.HttpServlet.service(HttpServlet.java:655) ~[tomcat-embed-core-9.0.54.jar!/:4.0.1]

at org.apache.catalina.servlets.DefaultServlet.service(DefaultServlet.java:499) ~[tomcat-embed-core-9.0.54.jar!/:na]

at javax.servlet.http.HttpServlet.service(HttpServlet.java:764) ~[tomcat-embed-core-9.0.54.jar!/:4.0.1]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53) ~[tomcat-embed-websocket-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.access.intercept.FilterSecuritylnterceptor.invoke(FilterSecurityInterceptor.java:115)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java: 105)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java: 149)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.web.authentication.ui.DefaultLogoutPageGeneratingFilter.doFilterInternal(DefaultLogoutPageGeneratingFilter.java:58)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.ui.DefaultLoginPageGeneratingFilter.doFilter(DefaultLoginPageGeneratingFilter.java:237)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.authentication.ui.DefaultLoginPageGeneratingFilter.doFilter(DefauliLoginPageGeneratingFilter.java:223)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFilter(AbstractAuthenticationProcessingFilter.java:218)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter.doFilter(AbstractAuthenticationProcessingFilter.java:212)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.oauth2.client.web.OAuth2AuthorizationRequestRedirectFilter.doFilterinternal(OAuth2AuthorizationRequestRedirectFilter
.java:178) ~[spring-security-oauth2-client-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)
~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at
org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerintegrationFilter.java:
55) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211) ~[spring-security-web-5.5.3.jar!/:5.5.3]
at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183) ~[spring-security-web-5.5.3.jar!/:5.5.3]

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358) ~[spring-web-5.3.12.jar!/:5.3.12]
at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.web.filter.RequestContextFilter.doFilterinternal(RequestContextFilter.java:100) ~[spring-web-5.3.12.jar!/:5.3.12]
at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.boot.actuate.metrics.web.servlet. WebMvcMetricsFilter.doFilterinternal(WebMvcMetricsFilter.java:96)
~[spring-boot-actuator-2.5.6.jar!/:2.5.6]

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.springframework.web.filter.CharacterEncodingFilter.doFilterinternal(CharacterEncodingFilter.java:201) ~[spring-web-5.3.12.jar!/:5.3.12]
at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119) ~[spring-web-5.3.12.jar!/:5.3.12]

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.valves.RemotelpValve.invoke(RemotelpValve.java:769) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.StreamProcessor.service(StreamProcessor.java:413) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.StreamProcessor.process(StreamProcessor.java:74) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.coyote.http2.StreamRunnable.run(StreamRunnable.java:35) ~[tomcat-embed-core-9.0.54.jar!/:na]

at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191) ~[tomcat-embed-core-9.0.54 jar!/:na]
at org.apache.tomcat.util.threads. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659) ~[tomcat-embed-core-9.0.54.jar!/:na]
at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) ~[tomcat-embed-core-9.0.54 jar!/:na]

at java.base/java.lang.Thread.run(Thread.java:829) ~[na:na]

#3 - 08/28/2022 04:53 AM - Benjamin LIPERE

Also the login are not working proprely.

#4 - 08/28/2022 10:23 AM - Josip Almasi
- Status changed from New to In Progress
Works for me :)

If by 'login are not working properly' you mean login button, you don't need it at all. I.e. there's no login button on this page:
https:/sleekdbzjc2mmijk-vrspc1-30530-01.npiracncn3vghcvvgys.ovh/web/index.html

Click on the button initiates oauth2 authentication. Setting it up on the server is rather straightforward, enter some application properties, but you have
to register your app with authentication provider(s) first.

This is an interesting exception though, never seen that one, and google seems to know nothing about it.
When does that happen?

#5 - 08/28/2022 12:39 PM - Benjamin LIPERE
Hello.

Thanks for the URL.

Did not see that one.

Probably tunnel effect and lack of sleep.

As for the exception, it is when | want to connect in VR on the avatar-selection.html page.
The server is freezing and than the world is not loading.

Thanks by advance.
| am going to have some sport first.
Then | am going to continue.

Next loading a world.
https://sleekdbzjc2mmjk-vrspc1-30530-01.npiracncn3vqhcvv9gys.ovh/web/index.html

Then item identification.

PS : How can | share my code ?

| am going on my own gitlab for the next.
Just making the repo public is okay for you ?

See you alter.
Best Regards.
Benjamin.

#6 - 08/28/2022 01:46 PM - Josip Almasi

Huh, what exactly do you mean by 'connect in VR on the avatar-selection.html page'?

Like, open the page on oculus quest?

| have to admit I've never tried it - | use apache as reverse proxy even in my local setup, so both SSL and HTTP/2 terminate on apache.

Quick look at tomcat changelog hints that enabling HTTP/2 in tomcat may not be the smartest idea - plenty of related fixes, and we have 9.0.54
embedded.

https://tomcat.apache.org/tomcat-8.5-doc/changelog.html
So | think simply disable HTTP/2 and try again. Look for server.http2.enabled in application.properties.
Re publishing your changes, definitely the simplest way is to fork on github, we'd do PR and merges if you want to contribute.

I'm not sure how it works with gitlab-to-github, but I'm willing to try. Quick googling gave me
https://stackoverflow.com/questions/56486140/gitlab-merge-request-into-github

And, hey, welcome! :)

#7 - 08/29/2022 03:28 PM - Benjamin LIPERE

Hello.

Well disabling http2 is apparently working.
What editor are you using for creating the scene of a world, please ?

| need something easy because | am a clunch/super nob in 3D modeling.
| just re-open blender, and | am lost.

Thanks by advance.
Best Regards.
Benjamin.

#8 - 08/29/2022 04:02 PM - Josip Almasi
Dang, thanks for confirmation. OK I'll make sure http/2 is disabled by default.

Yeah | don't get 3D programs either. Essentially, | edit js files in eclipse, and move inlined 3d models around. Like this:
https://www.youtube.com/watch?v=705BDz0wSIQ

Another option is vrspace world editor: https://www.youtube.com/watch?v=d0v8IPCt4Mc

Third one is mozilla spoke, related ticket here: https:/redmine.vrspace.org/issues/112 discussed here:

https://redmine.vrspace.org/boards/2/topics/205

The way | see it, vrspace world editor is the way to go (of course), needs plenty of improvements.

#9 - 08/31/2022 05:29 PM - Benjamin LIPERE

Hello.

Euh, Okay, | am going to have a teamate for 3D scene, probably.

Meanwhile, how about upgrade the framework until we have something like this :
https://assetstore.unity.com/packages/templates/systems/vr-interaction-framework-161066
A very simplified version.

Of course, | am doing the work, code open-source (for the engine at least, if we do something after that, it can't be open-source) and you just answer

some question on this redmine until | have full autonomy on the subject.
??7?

Thanks by advance.
Best Regards.
Benjamin.

#10 - 08/31/2022 09:32 PM - Josip Almasi
Sounds good.

There's nothing especially physics-heavy in the video, that's quite doable. You should probably start here:
https://doc.babylonjs.com/divingDeeper/physics
https://tomcat.apache.org/tomcat-8.5-doc/changelog.html
https://stackoverflow.com/questions/56486140/gitlab-merge-request-into-github
https://www.youtube.com/watch?v=705BDz0wSlQ
https://www.youtube.com/watch?v=d0v8IPCt4Mc
https://redmine.vrspace.org/issues/112
https://redmine.vrspace.org/boards/2/topics/205
https://assetstore.unity.com/packages/templates/systems/vr-interaction-framework-161066
https://doc.babylonjs.com/divingDeeper/physics

Everything about WebXR here: https:/doc.babylonjs.com/divingDeeper/webXR

You'll find plenty of examples there, including physics and grabbing: https://doc.babylonjs.com/divingDeeper/webXR/webXRDemos#other-demos

It gets more complicated with multiuser, but your mate and you should be able to throw boxes at each other reasonably soon. Design thinking is about
what kind events to share, e.g. do not share position of a box, but share event 'box starts flying there'.

Please use forums rather than issues: https:/redmine.vrspace.org/projects/vrspace-org/boards

#11 - 10/01/2022 12:41 PM - Josip Almasi

- Status changed from In Progress to Closed

04/20/2024 777


https://doc.babylonjs.com/divingDeeper/webXR
https://doc.babylonjs.com/divingDeeper/webXR/webXRDemos#other-demos
https://redmine.vrspace.org/projects/vrspace-org/boards
http://www.tcpdf.org

